/******************************************************************************/
/*                                                                            */
/*         SAS Program to Convert SAS Export Files to SAS Data Files          */
/*                           PIRLS 2011  User Guide                           */
/*                                                                            */
/******************************************************************************/

OPTIONS NONOTES ;

* Specify the study ;
* <study> must be edited: R3 for PIRLS, L1 for prePIRLS ;

%LET STUDY = <study> ;

* Specify the file type ;
* <type> must be edited ;

%LET TYPE = <type> ;

* Specify the path for the sas export files following the format x:\xxx\ ;
* <exppath> must be edited ;

%LET EXPPATH = <exppath> ;

* Specify the path for the SAS data files following the format x:\xxx\ ;
* <datpath> must be edited ;

%LET DATPATH = <datpath> ;

%MACRO DOIT ;

   * Specify the list of countries to be processed ;

   %IF %UPCASE(%SUBSTR(&STUDY,1,1)) = R %THEN %DO ; * PIRLS countries ;

      %LET COUNTRY = AUS AUT AZE BFR BGR CAN TWN COL HRV CZE
                     DNK ENG FIN FRA GEO DEU HKG HUN IDN IRN
                     IRL ISR ITA LTU MLT MAR NLD NZL NIR NOR
                     OMN PRT POL QAT ROM RUS SAU SGP SVK SVN
                     ESP SWE TTO ARE USA
                     BWA HND KWT MA6
                     CAB COT CQU MLN ZAF EAN AAD ADU UFL ;

   %END ;

   %IF %UPCASE(%SUBSTR(&STUDY,1,1)) = L %THEN %DO ; * prePIRLS countries ;

      %LET COUNTRY = BWA COL ZAF ;

   %END ;

   %LET I = 1 ;
   %DO %WHILE(%LENGTH(%SCAN(&COUNTRY,&I))) ;
      %LET CTRY = %SCAN(&COUNTRY,&i) ;

      PROC CIMPORT FILE = "&EXPPATH&TYPE&CTRY&STUDY..EXP"
                   DATA = "&DATPATH&TYPE&CTRY&STUDY" ;
      RUN;

      %LET I = %EVAL(&I + 1) ;
   %END ;

%MEND DOIT ;

%DOIT ;
